.NET Core Support in DataStax C# Drivers

By Jorge Bay Gondra -  December 21, 2016 | 0 Comments

Starting from version 1.1 of the DataStax Enterprise C# Driver and 3.1 of the DataStax C# Driver for Apache Cassandra, we added support for .NET Core while maintaining support for .NET Framework 4.5 and above.

.NET Core is a new platform that includes a new runtime, libraries and tools. We are supporting .NET Core applications via .NET Platform Standard 1.5, a specific versioned set of reference assemblies that all .NET Platforms must support as defined in the Core Foundation Libraries (CoreFx).

We updated our CI builds (AppVeyor, Travis CI and Jenkins) to cover both runtimes on Windows and Linux, here are some numbers. Integration tests run against different Apache Cassandra versions from 1.2 to 3.7 and DataStax Enterprise versions 4.8 and 5.0, on both Windows and Linux.

LZ4 compression is not yet supported for .NET Core runtime, as lz4net package does not yet support it (help needed!).

For more information, check out the changelog for the DSE Driver and changelog for the Apache Cassandra driver.



Comments

Your email address will not be published. Required fields are marked *




Subscribe for newsletter: